`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   16:04:57 04/01/2013
// Design Name:   Display7SEG
// Module Name:   Z:/ISE_Projects/Framework/Display7SEG/TestBench.v
// Project Name:  Display7SEG
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: Display7SEG
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module TestBench;

	// Inputs
	reg CLK;
	reg RESET;
	reg [3:0] SWA;
	reg [3:0] SWB;

	// Outputs
	wire [11:0] SEG;

	// Instantiate the Unit Under Test (UUT)
	Display7SEG uut (
		.CLK(CLK), 
		.RESET(RESET), 
		.SWA(SWA), 
		.SWB(SWB), 
		.SEG(SEG)
	);
	
	always
		#10 CLK = ~CLK;

	initial begin
		// Initialize Inputs
		CLK = 0;
		RESET = 0;
		SWA = 0;
		SWB = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		#20 RESET = 1;
		#20 RESET = 0;
		
		SWA = 1;
		#1000 $stop;
	end
      
endmodule

